KD Chart 2: KDChart::PaintContext class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::PaintContext Class Reference

`#include <KDChartPaintContext.h>`

Collaboration diagram for KDChart::PaintContext:

[legend]
List of all members.

## Public Member Functions
AbstractCoordinatePlane * | coordinatePlane () const
| PaintContext ()
QPainter * | painter () const
const QRectF | rectangle () const
void | setCoordinatePlane (AbstractCoordinatePlane *plane)
void | setPainter (QPainter *painter)
void | setRectangle (const QRectF &rect)
| ~PaintContext ()

## Constructor & Destructor Documentation

KDChart::PaintContext::PaintContext | ( |  | ) |

KDChart::PaintContext::~PaintContext | ( |  | ) |

## Member Function Documentation

AbstractCoordinatePlane* KDChart::PaintContext::coordinatePlane | ( |  | ) | const

| Referenced by KDChart::CartesianAxis::paintCtx().

QPainter* KDChart::PaintContext::painter | ( |  | ) | const

| Referenced by KDChart::RingDiagram::paint(), KDChart::PolarDiagram::paint(), KDChart::PieDiagram::paint(), KDChart::LineDiagram::paint(), KDChart::AbstractLayoutItem::paintCtx(), KDChart::CartesianAxis::paintCtx(), and KDChart::PolarDiagram::paintPolarMarkers().

const QRectF KDChart::PaintContext::rectangle | ( |  | ) | const

| Referenced by KDChart::PolarDiagram::paint(), KDChart::PieDiagram::paint(), and KDChart::BarDiagram::paint().

void KDChart::PaintContext::setCoordinatePlane | ( | AbstractCoordinatePlane * | plane | ) |

| Referenced by KDChart::PolarCoordinatePlane::paint(), KDChart::CartesianCoordinatePlane::paint(), and KDChart::CartesianAxis::paint().

void KDChart::PaintContext::setPainter | ( | QPainter * | painter | ) |

| Referenced by KDChart::PolarCoordinatePlane::paint(), KDChart::CartesianCoordinatePlane::paint(), KDChart::CartesianAxis::paint(), KDChart::RingDiagram::paintEvent(), KDChart::PolarDiagram::paintEvent(), KDChart::PieDiagram::paintEvent(), and KDChart::LineDiagram::paintEvent().

void KDChart::PaintContext::setRectangle | ( | const QRectF & | rect | ) |

| Referenced by KDChart::PolarCoordinatePlane::paint(), KDChart::CartesianCoordinatePlane::paint(), KDChart::CartesianAxis::paint(), KDChart::RingDiagram::paintEvent(), KDChart::PolarDiagram::paintEvent(), KDChart::PieDiagram::paintEvent(), and KDChart::LineDiagram::paintEvent().

The documentation for this class was generated from the following file:

- KDChartPaintContext.h